Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server.jmx
Class Queue

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.server.jmx.DestinationMBeanSupport
                  org.jboss.mq.server.jmx.Queue

All Implemented Interfaces:
  DestinationMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, QueueMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class Queue
extends DestinationMBeanSupport
implements QueueMBean

This class is a message queue which is stored (hashed by Destination) on the JMS provider

Version:
  $Revision: 1.10.4.1 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino, Peter Antman

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`Queue()`

Method Summary
`MessageCounter[]` | `getMessageCounter()` get message counter of all internal queues
`MessageStatistics[]` | `getMessageStatistics()` get message statistics of all internal queues
`int` | `getQueueDepth()` Gets the QueueDepth attribute of the BasicQueue object
`String` | `getQueueName()`
`int` | `getReceiversCount()`
`int` | `getScheduledMessageCount()` Gets the ScheduledMessageCount attribute of the BasicQueue object
`List` | `listMessages()`
`List` | `listMessages(String selector)`
`List` | `listReceivers()`
`void` | `removeAllMessages()` Get the value of JBossMQService.
`void` | `startService()`

Methods inherited from class org.jboss.mq.server.jmx.DestinationMBeanSupport
`createService, getDestinationManager, getInMemory, getJNDIName, getMaxDepth, getMessageCounterHistoryDayLimit, getObjectName, getReceiversImpl, getRedeliveryDelay, getRedeliveryLimit, getSecurityConf, getSecurityManager, getSpyDest, listMessageCounter, listMessageCounterHistory, resetMessageCounter, resetMessageCounterHistory, setDestinationManager, setInMemory, setJNDIName, setMaxDepth, setMessageCounterHistoryDayLimit, setReceiversImpl, setRedeliveryDelay, setRedeliveryLimit, setSecurityConf, setSecurityManager, stopService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.server.jmx.DestinationMBean
`getDestinationManager, getInMemory, getJNDIName, getMaxDepth, getMessageCounterHistoryDayLimit, getReceiversImpl, getRedeliveryDelay, getRedeliveryLimit, listMessageCounter, listMessageCounterHistory, resetMessageCounter, resetMessageCounterHistory, setDestinationManager, setInMemory, setJNDIName, setMaxDepth, setMessageCounterHistoryDayLimit, setReceiversImpl, setRedeliveryDelay, setRedeliveryLimit, setSecurityConf, setSecurityManager`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Constructor Detail

### Queue

    public Queue()

Method Detail

### getQueueName

    public String getQueueName()

  Specified by:
    `getQueueName` in interface `QueueMBean`

### getQueueDepth

    public int getQueueDepth()
                      throws Exception

  Gets the QueueDepth attribute of the BasicQueue object

  Specified by:
    `getQueueDepth` in interface `QueueMBean`
  Returns:
    The QueueDepth value
  Throws:
    `Exception` - Description of Exception

### getScheduledMessageCount

    public int getScheduledMessageCount()
                                 throws Exception

  Gets the ScheduledMessageCount attribute of the BasicQueue object

  Specified by:
    `getScheduledMessageCount` in interface `QueueMBean`
  Returns:
    The ScheduledMessageCount value
  Throws:
    `Exception` - Description of Exception

### startService

    public void startService()
                      throws Exception

  Overrides:
    `startService` in class `DestinationMBeanSupport`
  Throws:
    `Exception`

### removeAllMessages

    public void removeAllMessages()
                           throws Exception

  Description copied from interface: `DestinationMBean`
  Get the value of JBossMQService.

  Specified by:
    `removeAllMessages` in interface `DestinationMBean`
  Returns:
    value of JBossMQService.
  Throws:
    `Exception`
  See Also:
    `DestinationMBean.removeAllMessages()`

### getReceiversCount

    public int getReceiversCount()

  Specified by:
    `getReceiversCount` in interface `QueueMBean`

### listReceivers

    public List listReceivers()

  Specified by:
    `listReceivers` in interface `QueueMBean`

### listMessages

    public List listMessages()
                      throws Exception

  Specified by:
    `listMessages` in interface `QueueMBean`
  Throws:
    `Exception`

### listMessages

    public List listMessages(String selector)
                      throws Exception

  Specified by:
    `listMessages` in interface `QueueMBean`
  Throws:
    `Exception`

### getMessageCounter

    public MessageCounter[] getMessageCounter()

  Description copied from interface: `DestinationMBean`
  get message counter of all internal queues

  Specified by:
    `getMessageCounter` in interface `DestinationMBean`
  Specified by:
    `getMessageCounter` in class `DestinationMBeanSupport`
  Returns:
    MessageCounter[]
  See Also:
    `DestinationMBeanSupport.getMessageCounter()`

### getMessageStatistics

    public MessageStatistics[] getMessageStatistics()
                                             throws Exception

  Description copied from interface: `DestinationMBean`
  get message statistics of all internal queues

  Specified by:
    `getMessageStatistics` in interface `DestinationMBean`
  Specified by:
    `getMessageStatistics` in class `DestinationMBeanSupport`
  Returns:
    MessageStatistics[]
  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.